USRP Hardware Driver and USRP Manual: uhd::transport::vrt::if_packet_info_t Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
uhd::transport::vrt::if_packet_info_t Struct Reference

`#include <uhd/transport/vrt_if_packet.hpp>`

## Public Types
enum | link_type_t { LINK_TYPE_NONE = 0x0 , LINK_TYPE_CHDR = 0x1 , LINK_TYPE_VRLP = 0x2 }
enum | packet_type_t { PACKET_TYPE_DATA = 0x0 , PACKET_TYPE_IF_EXT = 0x1 , PACKET_TYPE_CONTEXT = 0x2 , PACKET_TYPE_FC = 0x1 , PACKET_TYPE_ACK = 0x1 , PACKET_TYPE_CMD = 0x2 , PACKET_TYPE_RESP = 0x3 , PACKET_TYPE_ERROR }

## Public Member Functions
| if_packet_info_t (void)

## Public Attributes
enum uhd::transport::vrt::if_packet_info_t::link_type_t | link_type
enum uhd::transport::vrt::if_packet_info_t::packet_type_t | packet_type
size_t | num_payload_words32
size_t | num_payload_bytes
size_t | num_header_words32
size_t | num_packet_words32
size_t | packet_count
bool | sob
| Asserted for start- or end-of-burst.
bool | eob
bool | error
| This is asserted for command responses that are errors (CHDR only)
bool | fc_ack
| This is asserted for flow control packets are ACKS (CHDR only)
bool | has_sid
| Stream ID (SID).
uint32_t | sid
bool | has_cid
| Class ID.
uint64_t | cid
bool | has_tsi
| Integer timestamp.
uint32_t | tsi
bool | has_tsf
| Fractional timestamp.
uint64_t | tsf
bool | has_tlr
| Trailer.
uint32_t | tlr

## Detailed Description

Definition for fields that can be packed into a vrt if header. The size fields are used for input and output depending upon the operation used (ie the pack or unpack function call).

## Member Enumeration Documentation

## ◆ link_type_t

enum uhd::transport::vrt::if_packet_info_t::link_type_t

Enumerator
LINK_TYPE_NONE |
LINK_TYPE_CHDR |
LINK_TYPE_VRLP |

## ◆ packet_type_t

enum uhd::transport::vrt::if_packet_info_t::packet_type_t

Enumerator
PACKET_TYPE_DATA |
PACKET_TYPE_IF_EXT |
PACKET_TYPE_CONTEXT |
PACKET_TYPE_FC |
PACKET_TYPE_ACK |
PACKET_TYPE_CMD |
PACKET_TYPE_RESP |
PACKET_TYPE_ERROR |

## Constructor & Destructor Documentation

## ◆ if_packet_info_t()

UHD_INLINE uhd::transport::vrt::if_packet_info_t::if_packet_info_t | ( | void |  | ) |

## Member Data Documentation

## ◆ cid

uint64_t uhd::transport::vrt::if_packet_info_t::cid

## ◆ eob

bool uhd::transport::vrt::if_packet_info_t::eob

## ◆ error

bool uhd::transport::vrt::if_packet_info_t::error

This is asserted for command responses that are errors (CHDR only)

## ◆ fc_ack

bool uhd::transport::vrt::if_packet_info_t::fc_ack

This is asserted for flow control packets are ACKS (CHDR only)

## ◆ has_cid

bool uhd::transport::vrt::if_packet_info_t::has_cid

Class ID.

## ◆ has_sid

bool uhd::transport::vrt::if_packet_info_t::has_sid

Stream ID (SID).

## ◆ has_tlr

bool uhd::transport::vrt::if_packet_info_t::has_tlr

Trailer.

## ◆ has_tsf

bool uhd::transport::vrt::if_packet_info_t::has_tsf

Fractional timestamp.

## ◆ has_tsi

bool uhd::transport::vrt::if_packet_info_t::has_tsi

Integer timestamp.

## ◆ link_type

enum uhd::transport::vrt::if_packet_info_t::link_type_t uhd::transport::vrt::if_packet_info_t::link_type

## ◆ num_header_words32

size_t uhd::transport::vrt::if_packet_info_t::num_header_words32

## ◆ num_packet_words32

size_t uhd::transport::vrt::if_packet_info_t::num_packet_words32

## ◆ num_payload_bytes

size_t uhd::transport::vrt::if_packet_info_t::num_payload_bytes

## ◆ num_payload_words32

size_t uhd::transport::vrt::if_packet_info_t::num_payload_words32

## ◆ packet_count

size_t uhd::transport::vrt::if_packet_info_t::packet_count

## ◆ packet_type

enum uhd::transport::vrt::if_packet_info_t::packet_type_t uhd::transport::vrt::if_packet_info_t::packet_type

## ◆ sid

uint32_t uhd::transport::vrt::if_packet_info_t::sid

## ◆ sob

bool uhd::transport::vrt::if_packet_info_t::sob

Asserted for start- or end-of-burst.

## ◆ tlr

uint32_t uhd::transport::vrt::if_packet_info_t::tlr

## ◆ tsf

uint64_t uhd::transport::vrt::if_packet_info_t::tsf

## ◆ tsi

uint32_t uhd::transport::vrt::if_packet_info_t::tsi

The documentation for this struct was generated from the following file:

- vrt_if_packet.hpp